This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1016874 - Candlepin events not being returned
Candlepin events not being returned
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Mike McCune
Tazim Kolhar
: Triaged
: 1125396 (view as bug list)
Depends On:
Blocks: 974486
  Show dependency treegraph
 
Reported: 2013-10-08 16:44 EDT by Eric Helms
Modified: 2017-02-23 16:19 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 01:07:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system registered event (86.89 KB, image/png)
2014-10-10 06:21 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Eric Helms 2013-10-08 16:44:43 EDT
Description of problem:
Using the latest version of Candlepin, candlepin-0.8.29-1, there are no events being returned for a consumer.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Ensure you have registered a system to Katello 
2. Navigate to systems page
3. Open the details for the registered system
4. Click on the 'Events' tab

Actual results:
No Candlepin events displayed.

Expected results:
At a minimum, a Candlepin event showing that a system has been registered.

Additional info:
Comment 1 RHEL Product and Program Management 2013-10-08 16:45:49 EDT
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 3 Adrian Likins 2013-10-10 12:10:33 EDT
Any candlepin logs?

Wild guess is hornetq issues ending up causing no events to get logged.

Anything ending up in cp_events table?
Comment 4 Eric Helms 2013-10-11 13:33:22 EDT
I am seeing this in catalina.out:

Oct 11 10:06:35 [http-8443-2] ERROR org.candlepin.audit.EventSinkImpl - Error while trying to send event: Event [id=null, target=CONSUMER, type=CREATED, time=Fri Oct 11 10:06:35 EDT 2013, entity=ff80808141a29982
0141a7d71a75006b]
HornetQException[errorCode=102 message=Producer is closed]
        at org.hornetq.core.client.impl.ClientProducerImpl.checkClosed(ClientProducerImpl.java:317)
        at org.hornetq.core.client.impl.ClientProducerImpl.send(ClientProducerImpl.java:133)
        at org.candlepin.audit.EventSinkImpl.sendEvent(EventSinkImpl.java:88)
        at org.candlepin.audit.EventSinkImpl.emitConsumerCreated(EventSinkImpl.java:97)
        at org.candlepin.resource.ConsumerResource.create(ConsumerResource.java:426)
        at org.candlepin.resource.ConsumerResource$$EnhancerByGuice$$e2c4c00b.CGLIB$create$2(<generated>)
        at org.candlepin.resource.ConsumerResource$$EnhancerByGuice$$e2c4c00b$$FastClassByGuice$$29427eb.invoke(<generated>)
        at com.google.inject.internal.cglib.proxy.$MethodProxy.invokeSuper(MethodProxy.java:228)
        at com.google.inject.internal.InterceptorStackCallback$InterceptedMethodInvocation.proceed(InterceptorStackCallback.java:72)
        at org.candlepin.auth.interceptor.SecurityInterceptor.invoke(SecurityInterceptor.java:114)
        at com.google.inject.internal.InterceptorStackCallback$InterceptedMethodInvocation.proceed(InterceptorStackCallback.java:72)
        at com.google.inject.persist.jpa.JpaLocalTxnInterceptor.invoke(JpaLocalTxnInterceptor.java:66)
        at com.google.inject.internal.InterceptorStackCallback$InterceptedMethodInvocation.proceed(InterceptorStackCallback.java:72)
        at com.google.inject.internal.InterceptorStackCallback.intercept(InterceptorStackCallback.java:52)
        at org.candlepin.resource.ConsumerResource$$EnhancerByGuice$$e2c4c00b.create(<generated>)
        at org.candlepin.resource.EnvironmentResource.create(EnvironmentResource.java:265)
        at org.candlepin.resource.EnvironmentResource$$EnhancerByGuice$$10b43bf2.CGLIB$create$0(<generated>)
        at org.candlepin.resource.EnvironmentResource$$EnhancerByGuice$$10b43bf2$$FastClassByGuice$$7178dc5d.invoke(<generated>)
Comment 5 Mike McCune 2013-11-01 16:38:44 EDT
not a blocker for MDP, ugly that our page is blank but not a blocker
Comment 8 Dustin Tsang 2014-07-11 14:21:38 EDT
http://projects.theforeman.org/issues/6038 events were removed in favor of tasks tab instead.

This feature will need to store and publish events from the Qpid katello tasks to the tasks page.
http://projects.theforeman.org/issues/6039
Comment 9 Dustin Tsang 2014-08-01 13:57:18 EDT
*** Bug 1125396 has been marked as a duplicate of this bug. ***
Comment 10 Dustin Tsang 2014-08-07 08:55:14 EDT
https://github.com/Katello/katello/pull/4425
Applied in changeset katello|3c8c5af6f0caea6fb98b8f985779eaff10d412e7.
Comment 11 Tazim Kolhar 2014-10-10 06:21:16 EDT
Created attachment 945551 [details]
system registered event

VERIFIED

*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

# rpm -qa | grep foreman
foreman-gce-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
ruby193-rubygem-foreman_discovery-1.4.0-0.1.rc4.el7.noarch
hp-bl420cgen8-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-compute-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
foreman-release-1.7.0-0.develop.201410071158git54141ab.el7.noarch
foreman-proxy-1.7.0-0.develop.201410081229git52f0bac.el7.noarch
hp-bl420cgen8-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
foreman-ovirt-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
ruby193-rubygem-foreman-tasks-0.6.9-1.el7.noarch
foreman-selinux-1.7.0-0.develop.201409301113git2f345de.el7.noarch
foreman-postgresql-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
foreman-vmware-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el7.noarch
foreman-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
foreman-libvirt-1.7.0-0.develop.201410081938git1cf31c6.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201409191432gitc38f9c8.el7.noarch

Events are listed
Comment 13 Bryan Kearney 2015-08-11 09:29:46 EDT
This bug is slated to be released with Satellite 6.1.
Comment 14 errata-xmlrpc 2015-08-12 01:07:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592

Note You need to log in before you can comment on or make changes to this bug.